contents

  • Overview

    • Key features

    • Motherboards supported

    • Sensor chips supported

    • Chipsets supported

  • Installation

  • Settings

  • Logs

  • Shared Memory interface

  • Events

  • CPU temperature correction

  • Temperature control

    • Idle cooling technique

    • CPU throttling

  • ASUS VGA cards monitoring

  • Windows NT/2000 Perfmon interface support

  • Revision history

  • Technical Support

  • Frequently Asked Questions

  • Registration

  • Disclaimer


Overview

Hardware sensors monitor utilizes sensor chips on smart motherboards to track system temperature, voltages and cooling fans. By quickly catching an overheated computer, you can prevent disasters such as system instability or damage. The program resides quietly in the system tray, and continually monitors the various parameters. By clicking its icon, you'll view real time values for each component. Though designed for NT and 2000, Hmonitor works well on Windows 9X/ME and XR systems.

Once it has detected an overheating state, Hmonitor can perform a number of tasks. First, it can sound an audio alarm, shut down the system or optionally execute a selected application. It can also log information each minute to a file on your hard drive. From the settings dialog, Hmonitor enables you to set "yellow zone" and "red zone" temperatures for the motherboard and CPU. You can also set minimum fan RPM before a warning is issued. In addition, nominal values and thresholds can be adjusted for voltage parameters.

Hmonitor is resource-friendly, and only monitors the data collected from sensor chips. Of course, your motherboard will need to have these chips installed to function correctly. If you're not sure, consult the Hmonitor's Web site for more information.

  • Key features

  • Motherboards supported

  • Sensor chips supported

  • Chipsets supported


Key features

Low resources usage (about 800K);
 Customizable alarms/user application call;
 Dynamic system tray status icon;
 Current values are visible as a hint;
 Detailed/warning log files can be produced;
Wide range of Mainboard vendors supported (for details, see List of supported Motherboards);
 Software cooling (Pro license needed);
 CPU Throttling (Pro license needed);
 Ability to display monitoring data from some ASUS VGA cards (Pro license needed).
 Ability to use PerfMon to make graphs of the data (Commercial license needed);


Motherboards supported

Almost all motherboards equipped with a sensors are supported now!
To see details about some particular board, Click here and select board vendor.


Sensor chips supported

  • Analog Devices ADM1021, ADM1024, ADM1025, ADM1028, ADM9240;

  • Asustek AS99127F;

  • Dallas Semiconductor DS1780;

  • Genesys Logic GL518SM, GL520SM, GL523SM, GL525SM, GL528SM;

  • ITE 8693F, 8705F, 8712F;

  • Maxim Integrated Products Max1617, Max1617a, Max1618, Max1619, Max1668, Max1669, Max1805;

  • Myson Technology MTP006, MTP008

  • National Semiconductors LM75, LM78, LM79, LM80, LM81, LM82, LM83, LM84, LM87,LM92;

  • Philips NE1617, NE1617a

  • Silicon Integrated Systems SIS5595 integrated sensor;

  • Texas Instruments THMC10, THMC50;

  • VIA Technologies VIA686 integrated sensor;

  • Winbond W83781d, W83782d, W83783s, W83L784r, W83627HF, W83697HF


Chipsets supported

Intel TX, LX, BX, GX, ZX, some of FX!
 Intel 810, 810e, 815, 815e, 820, 840, 850;
 SIS 5591/5595;
 ALI Aladdin, Aladdin Pro, Magic;
 AMD Irongate (750, 760);
 VIA VP3, MVP3 (Apollo), Apollo Pro and others with VIA586 southbridge;
 VIA KX133, KT133, KM133, KT266, and others with VIA686x southbridge;
 ServerWorks LE;


Installation

To perform installation under Windows-NT, you should be logged on as a member of administrators group. To begin installation, simply run setup.exe file.

If hmonitor service hadn't been installed, you can install it later with 'hmonitor.exe /setup' command. After successful installation, you may launch hmonitor.exe without rebooting.

After rebooting, Hmonitor will start automatically. This option can be disabled via Hmonitor's system menu.


Settings

You can change several settings by use of control menu or Popup menu for tray icon. Also, you can hide unwanted information panels. All settings and window state/position saved automatically in the Registry.

Unfortunately, there is no standard for CPU temperature sensors addresses used, so several vendors use different addresses. If your mainboard is capable to measure CPU temperature, but Hmonitor don't display it, try to change CPU sensor addresses on "Hardware Setup" page from "Settings" window. Also, look in supported mainboards list for your mainboard model.

You can change any caption for Temperature/fan readings now. To do so either press Select button, and select some predefined values from the list, or type over string you want directly.


CPU temperature correction

Most modern Intel CPUs have imbedded temperature probe. If your board supports reading the temperature from internal probe, you do not need to read this section.

For some CPUs (especially very popular now AMD CPUs), there's some space (air) between CPU probe and the actual CPU, and different brands have the CPU core placed on different positions (near the top, near the bottom) in the plastic CPU package. So you have got to add a specific temperature offset to compensate for this and correctly guess and display the inner value.

To give you some hint, here are some estimated values:

Processor brand | Сompensation | Сritical temperature
AMD K5 PR133 | 8 C (*) |
AMD K5 PR166 | 17 C (*) |
AMD K6 166 | 8 C | 70 C
AMD K6 200 | 8 C | 70 C
AMD K6-2 | 14 C (*) |
Cyrix M2 PR200 | 15 C (*) |
IDT WinChip C6 | 20 C (*) |
Intel Pentium MMX | 22 C | 80 C
Intel Pentium II | 15 C (*) | 70 C

(*) not confirmed

Warning:

DO NOT RELY ON THESE VALUES, AND CHECK THEM AGAINST THE VALUES SHOWN IN YOUR BIOS SETUP!

If in question, always suppose the values shown by the BIOS are the correct ones.


Events

When one of measured parameters exceed specified threshold, warning message can be produced, or user-defined .wav file can be played, or user-defined application can be launched. When you use user exit routine, it will be called with error message string as a parameter, including name of monitoring parameter in question and its current value. Here is the example of such message:

CPU temperature exceed the "red" zone threshold: 65 C

You can use this feature to send an E-Mail or pager message to the system administrator. Following releases will include some kind of templates for exit program parameters.


Logs

Warning messages produced by Hmonitor also logged in Windows NT application event log. Standard EventViewer program can be used to examine it. In addition, Hmonitor can produce two text/CSV log files - one for each poll and other for data when warning event occurs.


Shared Memory interface

Hmonitor supports shared memory area with monitored data for access from other processes. For details, call the author.


Temperature control

Temperature control (Pro license need)

Hmonitor implements two complementary technologies to control heat production of the CPU. First one (Idle cooling) lower the temperature of the IDLE CPU, whereas the second (CPU Throttling) restrict productivity of the loaded (and hot) CPU to prevent its overheating.

  • Idle cooling technique

  • CPU throttling

Starting from version 4.0 there is one additional option - "AMD CPU low power mode". It enables additional power-saving features of newest AMD CPUs and significantly lower power consumption of IDLE CPU. In most cases, it leads to additional decreasing of the temperature of idle CPU up to 20C degrees. But it can be reason of system hangs on poor designed mainboards. So, use it with caution!


Idle cooling technique

Idle cooling technique (Pro license needed)

Under normal circumstances, the CPU doesn't always active. It spends much of it's time waiting for the keyboard, hard disk or CD-ROM. What would be more logical than to turn off the CPU for that period? That's exactly what the HLT machine instruction does. Whenever the CPU encounters a HLT instruction, the clock is halted and the CPU enters suspend mode until an interrupt occurs.

Modern operating systems like Linux or Windows NT or even Windows ME execute the HLT instruction in an idle priority thread. This thread is always executed when, as the name implies, the CPU is otherwise idle. Therefore no additional execution time is needed, and the CPU will not run slower. This does not hurt performance since the CPU controls the powering-down of specific internal parts by hardware-control, so there's no software intervention needed for explicitly re-enabling a powered-down part.

Unfortunately, Windows 95/98 do not support HLT. To remove this limitation, Hmonitor provides an idle thread executing HLT for Windows 95/98.


Cpu throttling

CPU throttling (Pro license needed)

Throttling is the ability of the CPU to change between stop (idle), and full speed modes, at very high frequency (hundreds of kilohertz). This CPU switching looks (to the system) as a decrease in the working frequency of CPU, and leads to lower power consumption.

With Hmonitor, you can use this technology to improve stability of your system. Hmonitor will enable specified throttle level if CPU or system temperature becomes higher than defined threshold, and return system back to full speed when temperature decreased below low threshold.

When throttling is active, source sensor data marked with blue background. You can specify Temperature bounds and throttling level in Settings window. At present, this feature is available for Intel and VIA (with 686 southbridge) chipsets only.


Asus VGA cards monitoring

ASUS VGA cards monitoring (Pro license needed)

Some of the modern graphics adapters from Asustek (6600 and later) have capabilities to monitor its own temperature, fan speed and voltages. Hmonitor is capable to show these data also. To enable display of VGA data, your configuration should meet some additional requirements:

  1. Asus Smartdoctor application should be installed;

  2. V66mi.dll (up to 1.06 version of SmartDoctor) or anvmi.dll (1.08 and later) should be available for Hmonitor (put it in the same or system directory);

  3. "Asus VGA" item in Hmonitor's system menu should be checked.


Windows NT/2000 Perfmon interface support *

Hmonitor's data are available in the NT Perfmon utility, together with hundreds of other performance counters, even for remote access! To see the data, start Hmonitor first, then select "hmonitor" object in PerfMon "Add counter" dialogue.

(*) Commercial license required to activate this feature.


Revision History

4.0.2.2 (July 2001)

  • Some minor installation script bugs fixed;

  • VIA KT266 throttling supported;

  • Support for AMD760MP added (beta!);

4.0.2.1 (May 2001)

  • ALI Magic Southbridges (1535D+/1535D) are supported now;

  • Analog Devices ADM1028 is supported now;

  • Maxim Integrated Products Max1618, Max1619, Max1668, Max1669, Max1805 are supported now;

  • National Semiconductors LM82, LM92 are supported now;

  • Philips NE1617, NE1617a are supported now;

  • Genesys Logic GL528SM is supported now;

  • Supermicro 370DL3 (ServerWorks LE) support verified;

  • Some minor installation script bugs fixed;

  • Documentation format changed;

4.0.1.2 (May 2001)

  • Bug in readings for LM75 fixed;

  • Registration instruction changed;

  • Some other minor fixes applied;

4.0.1.1 (April 2001)

  • New Registration package implemented;

  • All chipsets and any OS are supported by regular Hmonitor release;

  • AMD CPUs low power mode supported for AMD/VIA chipsets.

  • ServerWorks LE chipset is supported now;

  • SIS5595 rev2 is supported now;

  • ALI chipset SMB support: some bugs fixed;

  • FAN warnings, if enabled, will be triggered even for fully stopped/absent fan;

  • The nominal value for VGA core voltage can be adjusted now;

  • Asus VGA counters are now added to the logs (only when active);

  • LM81 voltages calculation corrected;

  • ITE 8693/8705/8712 sensors are supported now;

  • Hibernation/resume support enhanced for notebooks;

  • Autodetection of most CPU sensor types added; Now most users of modern notebooks can install Hmonitor much easier;


Technical Support

If you need support you can write to support@hmonitor.com, but please make sure that you:

  1. Read the documentation and the F.A.Q.

  2. Have the latest published release of the program;

Keep in mind, that full support is available for registered users only!

Up-to-date version of this program can be found on Web-site in InterNet at:

Home page: http://www.hmonitor.com/

Author: Alexander Berezkin, E-Mail: alanber@hmonitor.com


FAQ

Frequently Asked Questions

Up-to-date version of the F.A.Q. is available on Hmonitor site. To see it, click here.

To see local copy of the F.A.Q. page, click here.


Registration

If you wish to become a registered Hmonitor's user, all you need to do is to make a payment (see below) to the author, via online order form.

License type | Registration fee for private usage | Registration fee for commercial usage
Hmonitor | $24 | $35
Hmonitor Pro | $29 | $35
Upgrade from V.3 | $15 | $20
Other licenses | See details on the site.

To register the program, do the following:

  1. Go to registration page - http://www.hmonitor.com/register.html and apply for choosen license.

  2. Start Hmonitor on the TARGET machine;

  3. Open Hmonitor's "About" window and press "Register!" button;

  4. Type your details and press "Encrypt" button;

  5. Copy into clipboard the contents of the registration data panel and send it to register@hmonitor.com.

  6. Upon receipt of your registration fee with the completed registration data you will receive the registration information by E-mail.

USING CREDIT CARDS ON THE INTERNET:

Some of you may be new to web commerce and this may be the first time you've ever considered conducting a credit card transaction over the Internet. Internet commerce presently uses very advanced security technology in the form of secure servers and 128-bit encryption. This technology digitally encrypts your credit card information the instant it leaves your browser until it arrives on the credit card processor's secure site. This technology is endorsed by Microsoft, Netscape, and many other technology experts.

Using your credit card also offers additional benefits. Most credit card companies will protect your credit card from fraud. In this respect, credit cards are much safer than using cash or a check. Credit card companies can issue a "chargeback" on your behalf if you do not receive a product, and they can put pressure on the merchant if your order is not handled in a

timely manner. For these reasons, experts have advised using credit cards for mail-order purchases for many years. The same reasoning applies to online secured Internet transactions.


Disclaimer

Hmonitor is Shareware program. See Licence.txt for details. No warranty for this program is expressed, implied or otherwise made. I am not in any way responsible for any damages Hmonitor may cause to your computer resulting from the use or misuse of this program, including loss of data, loss of profits, or damage to any software or hardware component.

Nevertheless, do not hesitate to send me any comments and bug reports!